Firefox v52 removes NPAPI support

Firefox will be removing support for most NPAPI plugins (except Flash) in upcoming version 52.  NPAPI (Netscape Plugins API) is a deprecated plugin infrastructure inherited from the old Netscape browser on which Mozilla built Firefox

For most users, Firefox will update automatically on March 7, 2017.

This means if your website relies on Java, Acrobat Reader or Silverlight, users with Firefox will find it does not function correctly. For more information visit the following links:

NPAPI Plugins in Firefox – Mozilla Blog

Firefox limits NPAPI support (technology required for Java applets) – Oracle

Why do Java, Silverlight, Adobe Acrobat and other plugins no longer work? – Mozilla Support